Bug 19588 - gtk-- will not compile under Redhat 7.0
gtk-- will not compile under Redhat 7.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gtk+ (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-23 03:32 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-23 11:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-23 03:32:26 EDT
There is already a bug reported on this at www.sourceforge.org, but the
developers declared it a Redhat bug.  The getenv prototype in stdlib.h
conflicts with a declaration in one of the gtk-- source files (parser.yy). 
There is a hack mentioned in the bug at sourceforge that gets the
compilation to complete, but there's no guarentee that the hack produces
valid code.

http://sourceforge.net/bugs/?func=detailbug&bug_id=115781&group_id=1161

The actual text of the compile error can be found at the above link.
Comment 1 Owen Taylor 2000-10-23 11:16:16 EDT
This is a plain-and-simple gtk-- bug. getenv() is defined to be declared
in stdlib.h:

 http://www.opengroup.org/onlinepubs/007908799/xsh/getenv.html

And prototype in parser.yy is just wrong - extern "C" only affects
mangling and does not give the C interpretation of () - see 
Stroustrup's "The C++ Programming Language", section 9.2.4.

Comment 2 Need Real Name 2000-10-24 02:10:29 EDT
I suspected it was their bug, but apparently it compiles ok on Redhat6.2.  I 
guess they'll have to own up to it eventually (when one of the developers 
installs Redhat7.0).

Note You need to log in before you can comment on or make changes to this bug.